// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef TESTTRACE_TYPES_MYCOMPLEXTYPE_2_H
#define TESTTRACE_TYPES_MYCOMPLEXTYPE_2_H

/************************************************************
 MyComplexType_2 class header
 ************************************************************/

#include "TestTrace/Types/Pkg_Types.h"

// derived using directives
using namespace TestTrace::Types;

namespace TestTrace {
namespace Types {

/************************************************************/
/**
 * 
 */
struct MyComplexType_2 {

	/**
	 * 
	 */
	Integer myInt;

	/**
	 * 
	 */
	Double myDouble;

	/**
	 * 
	 */
	Text myText;

	/**
	 * 
	 */
	MyEnumeration myEnum;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Types
} // of namespace TestTrace

/************************************************************
 End of MyComplexType_2 class header
 ************************************************************/

#endif
